rblckeck(1)

NAME
rblckeck - DNSBL lookup utility

SYNOPSYS
rblcheck [-s zone] [-S zone-file] [-c] [-tmvq] [-n nsaddr] address...

DESCRIPTION
rblcheck is a simple command-line to perform DNSBL (DNS-based blocklists) lookups. For every IP address (or a name, in which case it will be resolved to an address first), the utility verifies whenever it is listed in a (list of) DNS blocklists specified with -s or -S options, optionally obtains text assotiated with the listing (usually it is either some description about the reason of the listing or an URL referring to such a description), and displays results on standard output.

The program is implemented on top of udns(3) library.

OPTIONS
The following options are recognized by rblcheck:

-s zone
    add the given zone DNSBL name to the list of active zones.

-S zone-file
    add list of zones from the named zone-file to the list of active zones (the file specifies one zone as the first word on a line, empty lines and lines starting with `#' character are ignored).

-c  reset active zone list.

-v  be more verbose, produce more detailed output.

-q  the opposite for -v -- produce less detailed output.

-t  obtain text for listed addresses.

-n nsaddr
    Use the given nameserver (given as IPv4 or IPv6 address) instead of the default. The same effect may be achieved by setting $NSCACHEIP environment variable.

-m  stop after first hit, ie after the first address which is found to be listed.

-h  print short help and exit.

If no -s, -S and -c options are given, rblcheck will try to obtain list of zones using $RBLCHECK_ZONES environment variable, or ~/.rblcheckrc, or /etc/rblckechrc files, in that order. If no zones are found, it will exit unsuccessefully.

RETURN VALUE
When no addresses given are listed and no errors occured, rblcheck exits with code 0. If at least one address is listed, rblcheck returns 100. In case of DNS errors, rblcheck returns 2.

ENVIRONMENT

$RBLCHECK_ZONES
    if no -s, -S or -c option is given, rblcheck tries this variable to obtain list of DNSBL zones to check against.

FILES

$HOME/.rblcheckrc and /etc/rblcheckrc
    if no -s, -S or -c option is given, and no $RBLCHECK_ZONES environment variable is set, rblcheck will try the two files (the first one that exists) to obtain list of DNSBL zones to check against. Each line specifies one zone (only first word in each line is used). Empty lines and lines starting with `#' character are ignored.

SEE ALSO
dnsget(1) resolv.conf(5) udns(3).

AUTHOR
This program and manual pages are written by Michael Tokarev.